Memory Stores
Update a memory item
POST
/memory_stores/{name}/items/{memory_id}Updates the specified memory item in the memory store.
Path ParametersQuery ParametersHeader Parameters
namestringrequired
The name of the memory store.memory_idstringrequired
The ID of the memory item to update.api-versionstringrequired
The API version to use for this operation.Foundry-Featuresstringrequired
A feature flag opt-in required when using preview operations or modifying persisted preview resources.MemoryStores=V1Preview
Request BodyContent-Type: application/json
contentstringrequired
The updated content of the memory.Responses
One of the following:
user_profileUserProfileMemoryItem
A memory item specifically containing user profile information extracted from conversations, such as preferences, interests, and personal details.chat_summaryChatSummaryMemoryItem
A memory item containing a summary extracted from conversations.proceduralProceduralMemoryItem
A memory item containing a procedure extracted from conversations.